# fids

## Contributing

```
pre-commit install
```

### auth-domain

Contiene `user-manager` con su base de datos. Maneja la autenticación y autorización de usuarios para el `browser-domain`.

### browser-domain

SPA que tiene dos flujos dependiendo si el usuario es una aerolínea o un usuario normal.

### flights-domain

Contiene `flights-information` con su base de datos. Maneja todo lo relacionado a la información de los vuelos (CRUD).

### screens-domain

PWA pensado para utilizarse en un aeropuerto. Se maneja con un solo `origin` y con el query param `lastUpdated` para pedir cambios. Esta tiene una base datos para cachear los resultados y poder funcionar offline.
